---
title: XY Display
---

The XY display plots the values of CH1 against CH2. This is different to the normal (YT) mode where voltage is plotted as a
function of time. CH1 is used for the deviation along the X axis and CH2 for the Y axis.

<br>

### How to enable XY mode

From the menu tap the Display button. Tap either:
* XY to display just the XY plot
* XY + YT to display the XY plot and the normal YT scope output

To hide the XY display, tap the Display button and then select YT (Default)

<br>

### Channel Volts/Div and Position

The Channel Volts/Div and Position settings can be used as normal in XY mode. Changing the values for
CH1 will affect the scale and postion in the X direction. Changing the values for CH2 will affect the scale
and position in the Y direction.

Tip: To quickly set the Volts/Div or Position of a channel back to its default value, tap and hold the appropriate button.

<br>

### Horizontal Time/Div and Position

Only the samples visible in YT display window are used to generate the XY plot. ie. The entire sample record is not used unless 
the Time/Div has been adjusted so that the traces visible on the YT screen include all sample points.
This allows you to control which part of the sample record is used to generate the XY plot.

A maximum of 1000 samples are displayed in the XY plot.

<br>

### Dots vs Lines

The points in the XY plot can be displayed as either unconnected dots or as lines connecting adjacent (in time) values.

<br>
{% include see-also.md %}
