---
# Feel free to add content and custom Front Matter to this file.
# To modify the layout, see https://jekyllrb.com/docs/themes/#overriding-theme-defaults

layout: default

title: Scoppy

---

[![](/wiki/assets/img/ad-banner-1.jpg)](https://store.fhdm.xyz/home)

# Scoppy

[Installation & Getting Started](./wiki/Installation-&-Getting-Started)   
* Instructions for installing the Android app and Pico firmware, connecting the Pico to your Android device and connecting the Scoppy oscilloscope to your signal source

[Wi-Fi](../wiki/Getting-started-with-the-Pico-W)
* [Getting started with Scoppy and the Pico W](../wiki/Getting-started-with-the-Pico-W)
* [Wi-Fi Troubleshooting](../wiki/WiFi-Troubleshooting)
* [Wi-Fi How-To and FAQ](../wiki/WiFi-How-To)
* [Wi-Fi Connection Settings](../app-help/WiFi-Connection-Settings)
* [Scoppy Firmware Settings](../app-help/Firmware-Settings)

[Using the app](./app-help)  
* How to use the Scoppy Android app

[Pico GPIOs](./wiki/GPIOs)  
* Listing of the GPIOs used by the scoppy-pico firmware and a description of their functions

[Analog Front-End](./wiki/Analog-Front-End)   
* Design and build an Analog front-end to your Scoppy Oscilloscope so that you can measure different voltage ranges (ie. different to the 0-3.3V range of the RPI Pico ADC inputs).
* [FSCOPE-500K](https://store.fhdm.xyz/fscope-500k) analog front end [assembly instructions](wiki/fscope-500k) 
* [FSCOPE-500K](https://store.fhdm.xyz/fscope-500k) & [DSO-500K](https://store.fhdm.xyz/dso-500k) [usage instructions](wiki/fscope-dso-500k-v2-usage) 

[Scoppy on GitHub](https://github.com/fhdm-dev/scoppy)
* The Scoppy GitHub repository.

[Scoppy Experiments, Examples and Tutorials](https://github.com/fhdm-dev/scoppy-experiments)
* Experiments, tutorials and examples using Scoppy

[Release Notes](./wiki/ReleaseNotes)

## BUY

Scoppy powered oscilloscopes are available for purchase at the [FHDM Store](https://store.fhdm.xyz/), [Tindie](https://www.tindie.com/stores/fhdm_tech/) and [Elecrow](https://www.elecrow.com/dso-500k-oscilloscope.html)

[![](https://drive.google.com/uc?id=1IPGzMUU3RqUHuc7IbmUrThvmboMmp53e)](https://store.fhdm.xyz/dso-500k)

<br>
### See Also
{% include scoppy-links.md %}
